DROP VIEW IF EXISTS user_search;

CREATE VIEW user_search AS
SELECT
  USR.ID AS Id,
  USR.NAME AS Name,
  USR.EMAIL AS PrimaryEmail,
  USRPROF.ALTERNATE_EMAIL_ID AS SecondaryEmail,
  USRPROF.CONTACT_NO AS PrimaryContactNo,
  USRPROF.ALTERNATE_CONTACT_NO AS SecondaryContact,
  USR.CONFIRMED AS EmailVerified,
  USR.ENABLED AS Activated,
  USR.CHANGE_PASSWORD AS ForcePasswordChange,
  FO.FLAT_ID AS FlatID,
  BLK.NAME AS Block,
  F.FLOOR AS Floor,
  F.UNIT AS Unit
FROM
  users AS USR
LEFT JOIN
  flat_owners AS FO ON FO.USER_ID = USR.ID
LEFT JOIN 
  FLATS AS F ON F.ID = FO.FLAT_ID
LEFT JOIN
  BLOCKS AS BLK ON BLK.ID = F.BLOCK_ID
LEFT JOIN 
  USER_PROFILES AS USRPROF ON USRPROF.USER_ID = USR.ID
  
-------

DROP VIEW IF EXISTS all_flats;

CREATE VIEW all_flats AS
	SELECT
		F.ID AS FlatID,
		FO.USER_ID AS FlatOwnerID,
		BLK.NAME AS Block,
		F.FLOOR AS Floor,
		F.UNIT AS Unit
	FROM
		FLATS AS F
		INNER JOIN
			BLOCKS AS BLK ON BLK.ID = F.BLOCK_ID
		LEFT JOIN
			flat_owners AS FO ON FO.FLAT_ID = F.ID